Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on lucid build

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 20 Jun 2022 12:40:16 +0200

Po Lu <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> I guess that makes sense on some level -- -Q doesn't control what Gtk
>> does with the toolbar, for instance.  It's still somewhat odd-looking
>> for Lucid -- is there any way we can stop it from consulting the X
>> resources, or is that completely out of our hands?
>
> It can, but I'd rather not go down the rabbit hole of modifying the
> behavior of xrdb.c based on the value of `inhibit-x-resources'.

xrdb.c already uses that:

const char *
x_get_string_resource (void *v_rdb, const char *name, const char *class)
{
[...]
  if (inhibit_x_resources)
    /* --quick was passed, so this is a no-op.  */
    return NULL;

But I guess the Lucid calls are via a different path?  (I'm having
issues with trying to follow the call sequence here...)  I'm not sure
whether the Lucid stuff goes through xrdb.c at all?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no